//--------------------------------------------------------------
// File     : main.c
// Datum    : 23.02.2013
// Version  : 1.0
// Autor    : UB
// EMail    : mc-4u(@)t-online.de
// Web      : www.mikrocontroller-4u.de
// CPU      : STM32F4
// IDE      : CooCox CoIDE 1.7.0
// Module   : CMSIS_BOOT, M4_CMSIS_CORE
// Funktion : Demo der RNG-Library (Zufallszahlen)
// Hinweis  : Diese zwei Files muessen auf 8MHz stehen
//              "cmsis_boot/stm32f4xx.h"
//              "cmsis_boot/system_stm32f4xx.c"
//--------------------------------------------------------------

#include "main.h"
#include "stm32_ub_led.h"
#include "stm32_ub_rng.h"


void Delay(volatile uint32_t nCount)
{
  while(nCount--)
  {
  }
}


int main(void)
{
  uint32_t zufall;
  uint32_t n;

  SystemInit(); // Quarz Einstellungen aktivieren

  UB_Rng_Init(); // Init der Zufallszahlen
  UB_Led_Init(); // Init der LEDs

  while(1)
  {
	// sucht eine Zufallszahl zwischen 3 und 8
    zufall=UB_Rng_makeZufall(3,8);
    // lsst die LED entsprechen oft blinken
    for(n=0;n<zufall;n++) {
    	UB_Led_On(LED_GREEN);
    	Delay(2500000);
    	UB_Led_Off(LED_GREEN);
    	Delay(5000000);
    }
    Delay(10000000);
  }
}

